package domain


type AlibabaWdkOldposRefundCreatePosRefundCreateRequest struct {
    /*
        外部主订单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        渠道店id     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        经营店code     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        外部子订单号     */
    OutSubOrderId  *string `json:"out_sub_order_id,omitempty" `

    /*
        skuCode     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        库存单位退货数量     */
    RefundAmountSale  *int64 `json:"refund_amount_sale,omitempty" `

    /*
        销售单位退货数量     */
    RefundAmountStock  *string `json:"refund_amount_stock,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        退款金额，单位分     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

    /*
        退款类型 1：仅退款 2：退货退款     */
    RefundType  *int64 `json:"refund_type,omitempty" `

    /*
        退款速度类型 1：闪退,未离开货架  2：标准，离开货架     */
    RefundSpeedType  *int64 `json:"refund_speed_type,omitempty" `

    /*
        是否称重商品     */
    WeightItem  *bool `json:"weight_item,omitempty" `

}

func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetOutOrderId(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetShopId(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.ShopId = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetStoreId(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetOutSubOrderId(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.OutSubOrderId = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetSkuCode(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetRefundAmountSale(v int64) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.RefundAmountSale = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetRefundAmountStock(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.RefundAmountStock = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetStockUnit(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetSaleUnit(v string) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetRefundFee(v int64) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.RefundFee = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetRefundType(v int64) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.RefundType = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetRefundSpeedType(v int64) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.RefundSpeedType = &v
    return s
}
func (s *AlibabaWdkOldposRefundCreatePosRefundCreateRequest) SetWeightItem(v bool) *AlibabaWdkOldposRefundCreatePosRefundCreateRequest {
    s.WeightItem = &v
    return s
}
